package org.nl.acs.auto.run;

import java.util.Date;

public class ThreadDto {

    private String code;
    private String name;
    private String description;
    private ThreadStatusEnum status;
    private ThreadUsedStatusEnum usedStatus;
    private Date startTime;
    private Date stopTime;
    private String stopMessage;
    private Boolean thread_alive;
    private String thread_name;
    private String thread_id;
    private String thread_state;
    private Boolean forbidStop = Boolean.valueOf(false);
    private Boolean forbidDisable = Boolean.valueOf(false);

    public String getCode() {
        return this.code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public ThreadStatusEnum getStatus() {
        return this.status;
    }

    public void setStatus(ThreadStatusEnum status) {
        this.status = status;
    }

    public ThreadUsedStatusEnum getUsedStatus() {
        return this.usedStatus;
    }

    public void setUsedStatus(ThreadUsedStatusEnum usedStatus) {
        this.usedStatus = usedStatus;
    }

    public Date getStartTime() {
        return this.startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getStopTime() {
        return this.stopTime;
    }

    public void setStopTime(Date stopTime) {
        this.stopTime = stopTime;
    }

    public String getStopMessage() {
        return this.stopMessage;
    }

    public void setStopMessage(String stopMessage) {
        this.stopMessage = stopMessage;
    }

    public Boolean getThread_alive() {
        return this.thread_alive;
    }

    public void setThread_alive(Boolean thread_alive) {
        this.thread_alive = thread_alive;
    }

    public String getThread_name() {
        return this.thread_name;
    }

    public void setThread_name(String thread_name) {
        this.thread_name = thread_name;
    }

    public String getThread_id() {
        return this.thread_id;
    }

    public void setThread_id(String thread_id) {
        this.thread_id = thread_id;
    }

    public String getThread_state() {
        return this.thread_state;
    }

    public void setThread_state(String thread_state) {
        this.thread_state = thread_state;
    }

    public Boolean getForbidStop() {
        return this.forbidStop;
    }

    public void setForbidStop(Boolean forbidStop) {
        this.forbidStop = forbidStop;
    }

    public Boolean getForbidDisable() {
        return this.forbidDisable;
    }

    public void setForbidDisable(Boolean forbidDisable) {
        this.forbidDisable = forbidDisable;
    }

}
